package be.iminds.ilabt.jfed.rspec.generator;

import javax.annotation.Nonnull;
import javax.annotation.Nullable;
import java.util.List;

/**
 * StitchingTestRSpecGenerator: Generate an RSpec for a stitching test. This RSpec has links that interconnect all nodes.
 */
public interface StitchingTestRSpecGenerator {
    /**
     * @param ams a list with the AM URNs, server IDs or testbed IDs (auto detected, may be mixed)
     */
    void setAms(@Nonnull List<String> ams);
    void setNodeNames(@Nonnull List<String> nodeNames);
    void setNodePrefix(@Nullable String prefix);

    @Nonnull String generateRequest();
}
